pam_pkcs11 0.6.8

- Main Page
- Data Structures
- Files
- Directories

- Data Structures
- Data Fields

Data Fields
CK_X9_42_DH2_DERIVE_PARAMS Struct Reference

`#include <pkcs11t.h>`

## Data Fields

CK_X9_42_DH_KDF_TYPE | kdf
CK_ULONG | ulOtherInfoLen
CK_BYTE_PTR | pOtherInfo
CK_ULONG | ulPublicDataLen
CK_BYTE_PTR | pPublicData
CK_ULONG | ulPrivateDataLen
CK_OBJECT_HANDLE | hPrivateData
CK_ULONG | ulPublicDataLen2
CK_BYTE_PTR | pPublicData2

## Detailed Description

Definition at line 1152 of file pkcs11t.h.

## Field Documentation

CK_OBJECT_HANDLE hPrivateData

Definition at line 1159 of file pkcs11t.h.

CK_X9_42_DH_KDF_TYPE kdf

Definition at line 1153 of file pkcs11t.h.

CK_BYTE_PTR pOtherInfo

Definition at line 1155 of file pkcs11t.h.

CK_BYTE_PTR pPublicData

Definition at line 1157 of file pkcs11t.h.

CK_BYTE_PTR pPublicData2

Definition at line 1161 of file pkcs11t.h.

CK_ULONG ulOtherInfoLen

Definition at line 1154 of file pkcs11t.h.

CK_ULONG ulPrivateDataLen

Definition at line 1158 of file pkcs11t.h.

CK_ULONG ulPublicDataLen

Definition at line 1156 of file pkcs11t.h.

CK_ULONG ulPublicDataLen2

Definition at line 1160 of file pkcs11t.h.

The documentation for this struct was generated from the following file:

- pkcs11t.h